# vim: set sw=4 ts=4 et:

Name:           clipgrab
Version:        3.1.0.2
Release:        1.pm.4.2
Summary:        Video downloader
License:        GNU General Public License version 3 (GPL v3)
Group:          Productivity/Multimedia/Video/Editors and Convertors 
URL:            http://clipgrab.de
Source0:        http://clipgrab.de/download/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        http://vanbittern.com/files/clipgrab-icons.zip
Requires:       ffmpeg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libqt4-devel
BuildRequires:  libQtWebKit-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRequires:  licenses
Requires:       licenses

%description
A program which downloads and converts online videos from YouTube, Vimeo,
DailyMotion, MyVideo and many other platforms.

%prep
%setup -q
%__mkdir "_icons"
pushd _icons
%__unzip "%{SOURCE2}"
popd #_icons

%build
#cleanup
%__rm -f moc_*

qmake %{name}.pro QMAKE_CXXFLAGS="%{optflags}"
%__make clean
%__make %{?_smp_flags}

%install
%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
%__install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

pushd _icons
%__rm -f 512.png
for f in *.png; do
    s="${f%.png}"
    %__install -D -m0644 "$f" "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/%{name}.png"
done
popd #_icons

%suse_update_desktop_file -r %{name} Video Editor

h=/usr/share/doc/licenses/md5/$(md5sum LICENCE.html|cut -f1 -d" ")
test -e "$h" && %__ln_s -f "$h" LICENCE.html

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/clipgrab
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Sat Aug  6 2011 detlef@links2linux.de
- new upstream version <3.1.0.2>
* Sat Jul 23 2011 detlef@links2linux.de
- fix typo in clipgrap.desktop
* Wed Jul 14 2010 detlef@links2linux.de
- new upstream version <3.0.7.1>
* Sat Jul 10 2010 detlef@links2linux.de
- new upstream version <3.0.7>
* Mon Apr 19 2010 detlef@links2linux.de
- new upstream version <3.0.6.6>
* Thu Apr  8 2010 detlef@links2linux.de
- new upstream version <3.0.6.5>
* Fri Apr  2 2010 detlef@links2linux.de
- new upstream version <3.0.5.3>
* Mon Dec 28 2009 detlef@links2linux.de
- new upstream version <3.0.5>
* Mon Dec 21 2009 detlef@links2linux.de
- new upstream version <3.0.4.1>
* Mon Nov 30 2009 detlef@links2linux.de
- new upstream version <3.0.4>
* Thu Oct 29 2009 detlef@links2linux.de
- initial build clipgrab3
* Fri Mar 28 2008 detlef@links2linux.de
- initial build <2.0-beta2>
